Skip to main content
GET
/
api
/
v1
/
workflows
/
{wfId}
# Describe latest run
curl -X GET \
  -H "Authorization: Bearer alf_your_key_here" \
  /api/v1/workflows/curator-sweep-20260226-143022

# Describe specific run
curl -X GET \
  -H "Authorization: Bearer alf_your_key_here" \
  "/api/v1/workflows/curator-sweep-20260226-143022?run_id=f47ac10b-58cc-4372-a567-0e02b2c3d479"
{
  "executionConfig": {
    "taskQueue": {
      "name": "alfred-curator"
    }
  },
  "workflowExecutionInfo": {
    "execution": {
      "workflowId": "curator-sweep-20260226-143022",
      "runId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
    },
    "type": {
      "name": "CuratorWorkflow"
    },
    "startTime": "2026-02-26T14:30:22.154Z",
    "status": "WORKFLOW_EXECUTION_STATUS_RUNNING"
  }
}
Retrieve detailed information about a specific workflow execution, including its configuration, current status, and timing. If no run_id is specified, the most recent run is returned.
wfId
string
required
The workflow ID to describe
run_id
string
Specific run ID to describe. If omitted, describes the most recent run of this workflow ID.
# Describe latest run
curl -X GET \
  -H "Authorization: Bearer alf_your_key_here" \
  /api/v1/workflows/curator-sweep-20260226-143022

# Describe specific run
curl -X GET \
  -H "Authorization: Bearer alf_your_key_here" \
  "/api/v1/workflows/curator-sweep-20260226-143022?run_id=f47ac10b-58cc-4372-a567-0e02b2c3d479"
{
  "executionConfig": {
    "taskQueue": {
      "name": "alfred-curator"
    }
  },
  "workflowExecutionInfo": {
    "execution": {
      "workflowId": "curator-sweep-20260226-143022",
      "runId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
    },
    "type": {
      "name": "CuratorWorkflow"
    },
    "startTime": "2026-02-26T14:30:22.154Z",
    "status": "WORKFLOW_EXECUTION_STATUS_RUNNING"
  }
}